%define ver 3.99
%define uver 4
%define bver 5
%define sver 7

%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}

Name:		mac
Version:	3.99.4.5.7
Release:	%mkrel 4.tainted
Summary:	Monkey's Audio Codec
License:	Freeware
Group:		Sound/Editors and Converters
Url:		http://etree.org/shnutils/shntool/
Source0:	http://etree.org/shnutils/shntool/support/formats/ape/unix/%{ver}-u%{uver}-b%{bver}-s%{sver}/%{name}-%{ver}-u%{uver}-b%{bver}-s%{sver}.tar.gz

BuildRequires:	libstdc++-devel


%description
Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompression) ratio
and time.

Monkey's Audio Codec can be used for personal, educational
and non-commercial purposes. Commercial usage requires
prior written permission from Monkey's Audio author.
See License.htm before usage.

This version is patched for shntool support.

This package is in restricted because of its license.

#------------------------------------------------------------------------

%package -n %{libname}
Summary:	Monkey's Audio Codec library
Group:		System/Libraries

%description -n %{libname}
Monkey's Audio Codec library.

Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompresssion) ratio
and time.

Monkey's Audio Codec can be used for personal, educational
and non-commercial purposes. Commercial usage requires
prior written permission from Monkey's Audio author.
See License.htm before usage.

This version is patched for shntool support.

This package is in restricted because of its license.

#------------------------------------------------------------------------

%package -n %{develname}
Summary:	Monkey's Audio Codec development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files (headers etc) needed to develop software with %{libname}.

This version is patched for shntool support.

This package is in restricted because of its license.

#------------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{ver}-u%{uver}-b%{bver}-s%{sver}

%build
CXXFLAGS="$CXXFLAGS -DSHNTOOL" 
%configure2_5x \
   --disable-static
%make

%install
%makeinstall_std

cp src/License.htm .
# Clean .la files
find %{buildroot} -name '*.la' -delete

%files
%doc ChangeLog* AUTHORS README NEWS License.htm
%{_bindir}/%{name}

%files -n %{libname}
%doc License.htm
%{_libdir}/libmac.so.%{major}
%{_libdir}/libmac.so.%{major}.*

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/libmac.so


%changelog
* Wed Jan 1 2014 david.david (MLO Team) <david.david> 3.99.4.5.7-4.tainted.mga4
+ Rebuild package for Mageia 4 (Tainted\MLO)
- version 3.99.4.5.7
- clean "spec" file a bit

* Tue Apr 30 2013 david.david (MLO Team) <david.david> 3.99.4.5.7-3.tainted.mga3
+ Revision: 3
- correcting "spec" file

* Wed Apr 17 2013 david.david (MLO Team) <david.david> 3.99.4.5.7-2.tainted.mga3
+ Rebuild package for Mageia 3 (Tainted)
- version 3.99.4.5.7

* Sun Apr 14 2013 david.david (MLO Team) <david.david> 3.99.4.5.7-1.tainted.mga2
+ Rebuild package for Mageia 2 (Tainted)
- Imported package
- clean "spec" file
- version 3.99.4.5.7